FileControllerSetTags Method |
PUT /File/Tags/{id}
Updates a file's tags.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Tags")]
public HttpResponseMessage SetTags(
Guid id,
[FromBodyAttribute] IList<string> tags,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Tags")>
Public Function SetTags (
id As Guid,
<FromBodyAttribute> tags As IList(Of String),
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Tags")]
HttpResponseMessage^ SetTags(
Guid id,
[FromBodyAttribute] IList<String^>^ tags,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Tags")>]
member SetTags :
id : Guid *
[<FromBodyAttribute>] tags : IList<string> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the entry to set the tags on. - tags
- Type: System.Collections.GenericIListString
The new tags. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
Status code indicating success or a reason for operation failure.
See Also